Package org.opensaml.saml.metadata.criteria.role

# Interface EvaluableRoleDescriptorCriterion

All Superinterfaces:
  `Criterion`, `Predicate<RoleDescriptor>`

All Known Implementing Classes:
  `EvaluableEntityRoleDescriptorCriterion`, `EvaluableProtocolRoleDescriptorCriterion`

public interface EvaluableRoleDescriptorCriterion extends Predicate<RoleDescriptor>, Criterion
Marker interface for evaluable `RoleDescriptor` criteria.

## Method Summary

### Methods inherited from interface java.util.function.Predicate

`and, negate, or, test`